package com.flyfish.framework.repository;

import com.flyfish.framework.domain.po.User;
import reactor.core.publisher.Mono;

/**
 * 异步用户仓库
 *
 * @author wybab
 */
public interface ReactiveUserRepository extends DefaultReactiveRepository<User> {

    Mono<User> findByUsername(String username);
}
